Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::nth_element_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename S , typename C = less, typename P = identity>
auto | operator() (I begin, I nth, S end_, C pred=C{}, P proj=P{}) const -> I requires random_access_iterator< I > &&sortable< I, C, P >
template<typename Rng , typename C = less, typename P = identity>
auto | operator() (Rng &&rng, iterator_t< Rng > nth, C pred=C{}, P proj=P{}) const -> safe_iterator_t< Rng > requires random_access_range< Rng > &&sortable< iterator_t< Rng >, C, P >